AurionAI Docs

Patch Kb Collection V2

PATCH
/api/v2/kb/collections/{collection_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

collection_id*Collection Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v2/kb/collections/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "approval_type": "none",
  "article_count": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "depth": 0,
  "description": "string",
  "icon": "string",
  "id": "string",
  "locale": "en",
  "name": "string",
  "parent_id": "string",
  "slug": "string",
  "sort_order": 0,
  "updated_at": "2019-08-24T14:15:22Z",
  "visibility": "all_visitors"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}